<div>
  <div class="d-flex justify-content-center">
    <div class="col-md-8">
      @if (settingsForm.value.login) {
        <h2 jhiTranslate="settings.title" [translateValues]="{ username: settingsForm.value.login }">
          Einstellungen für Benutzer [<strong>{{ settingsForm.value.login }}</strong
          >]
        </h2>
      }

      @if (success()) {
        <div class="alert alert-success" jhiTranslate="settings.messages.success"><strong>Einstellungen wurden gespeichert!</strong></div>
      }

      <jhi-alert-error></jhi-alert-error>

      @if (settingsForm.value.login) {
        <form name="form" (ngSubmit)="save()" [formGroup]="settingsForm" novalidate>
          <div class="mb-3">
            <label class="form-label" for="firstName" jhiTranslate="settings.form.firstname">Vorname</label>
            <input
              type="text"
              class="form-control"
              id="firstName"
              name="firstName"
              placeholder="{{ 'settings.form.firstname.placeholder' | translate }}"
              formControlName="firstName"
              data-cy="firstname"
            />

            @if (
              settingsForm.get('firstName')!.invalid && (settingsForm.get('firstName')!.dirty || settingsForm.get('firstName')!.touched)
            ) {
              <div>
                @if (settingsForm.get('firstName')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.firstname.required"
                    >Ihr Vorname wird benötigt.</small
                  >
                }

                @if (settingsForm.get('firstName')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.firstname.minlength"
                    >Ihr Vorname muss mindestens 1 Zeichen lang sein</small
                  >
                }

                @if (settingsForm.get('firstName')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.firstname.maxlength"
                    >Ihr Vorname darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }
          </div>

          <div class="mb-3">
            <label class="form-label" for="lastName" jhiTranslate="settings.form.lastname">Nachname</label>
            <input
              type="text"
              class="form-control"
              id="lastName"
              name="lastName"
              placeholder="{{ 'settings.form.lastname.placeholder' | translate }}"
              formControlName="lastName"
              data-cy="lastname"
            />

            @if (settingsForm.get('lastName')!.invalid && (settingsForm.get('lastName')!.dirty || settingsForm.get('lastName')!.touched)) {
              <div>
                @if (settingsForm.get('lastName')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.lastname.required"
                    >Ihr Nachname wird benötigt.</small
                  >
                }

                @if (settingsForm.get('lastName')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.lastname.minlength"
                    >Ihr Nachname muss mindestens 1 Zeichen lang sein</small
                  >
                }

                @if (settingsForm.get('lastName')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="settings.messages.validate.lastname.maxlength"
                    >Ihr Nachname darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }
          </div>

          <div class="mb-3">
            <label class="form-label" for="email" jhiTranslate="global.form.email.label">Email Adresse</label>
            <input
              type="email"
              class="form-control"
              id="email"
              name="email"
              placeholder="{{ 'global.form.email.placeholder' | translate }}"
              formControlName="email"
              data-cy="email"
            />

            @if (settingsForm.get('email')!.invalid && (settingsForm.get('email')!.dirty || settingsForm.get('email')!.touched)) {
              <div>
                @if (settingsForm.get('email')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.required"
                    >Ihre Email Adresse wird benötigt.</small
                  >
                }

                @if (settingsForm.get('email')?.errors?.email) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.invalid"
                    >Ihre Email Adresse ist ungültig.</small
                  >
                }

                @if (settingsForm.get('email')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.minlength"
                    >Ihre Email Adresse muss mindestens 5 Zeichen lang sein</small
                  >
                }

                @if (settingsForm.get('email')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.maxlength"
                    >Ihre Email Adresse darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }
          </div>

          @if (languages && languages.length > 0) {
            <div class="mb-3">
              <label for="langKey" jhiTranslate="settings.form.language">Sprache</label>
              <select class="form-control" id="langKey" name="langKey" formControlName="langKey" data-cy="langKey">
                @for (language of languages; track $index) {
                  <option [value]="language">{{ language | findLanguageFromKey }}</option>
                }
              </select>
            </div>
          }

          <button
            type="submit"
            [disabled]="settingsForm.invalid"
            class="btn btn-primary"
            data-cy="submit"
            jhiTranslate="settings.form.button"
          >
            Speichern
          </button>
        </form>
      }
    </div>
  </div>
</div>
